summaryrefslogtreecommitdiff
path: root/tests/suite/chain.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/suite/chain.sh')
-rwxr-xr-xtests/suite/chain.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/tests/suite/chain.sh b/tests/suite/chain.sh
index 10868f97b9..d179f4ea4b 100755
--- a/tests/suite/chain.sh
+++ b/tests/suite/chain.sh
@@ -20,8 +20,14 @@
# along with GnuTLS; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+cd x509paths
+
CERTTOOL="${CERTTOOL:-../../../src/certtool${EXEEXT}}"
+if ! test -x "${CERTTOOL}"; then
+ exit 77
+fi
+
if ! test -z "${VALGRIND}"; then
VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND} --error-exitcode=15"
fi
@@ -30,8 +36,6 @@ SUCCESS=" 1 4 7 12 15 16 17 18 24 26 27 30 33 56 57 62 63 "
FAILURE=" 2 3 5 6 8 9 10 11 13 14 19 20 21 22 23 25 28 29 31 32 54 55 58 59 60 61 "
KNOWN_BUGS=" 15 16 17 18 19 31 32 "
-cd x509paths
-
test -d X509tests || tar xfz x509tests.tgz
mkdir -p chains
RET=0